h3 {
  margin: 20px 0 20px 100px;
  font-size: 30px;
  text-transform: inherit;
}

.contenedor-productos-filtro {
  display: grid;
  grid-template-columns: 20% 80%;
  margin: 10px 100px;
  gap: 20px;

  .filtros-productos {

    /* Filtro por el nombre del producto */
    .buscador {
      position: relative;

      & i {
        position: absolute;
        top: 50%;
        right: 10px;
        transform: translateY(-50%);
        font-size: 20px;
        color: var(--grey);
      }
    }

    /* Filtro por el precio mínimo y máximo */
    .precio .p-element {
      width: 100%;

      .p-inputnumber-button-group {
        width: 50px;
        height: auto;

        .p-button.p-button-icon-only {
          padding: 0 !important;
        }

        & button .p-icon-wrapper {
          justify-content: center;
          margin-right: 1px;
        }
      }
    }

    /* Filtro por categoría */
    .categoria {
      display: flex;
      flex-direction: column;
      gap: 5px;

      & div {
        display: flex;
        gap: 10px;
      }
    }
  }

  /* Filtros seleccionados */
  .lista-productos-filtros {
    .filtros-activos {

      /* Etiquetas con los filtros seleccionados */
      .chips {
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
      }

      /* Resultados encontrados y dropdwon para ordenar los resultados */
      .resultados {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 20px;

        & i {
          display: inline-flex;
          align-items: center;
          height: 40px;
          font-size: 16px;
          font-style: normal;
          color: var(--grey);
          padding-left: 10px;
          border: 2px solid var(--primary);
          border-radius: var(--border-radius);

          /* Cambiamos los estilos del Dropdown */
          .p-dropdown {
            background: none;

            &:not(.p-disabled).p-focus {
              box-shadow: none;
            }
          }
        }
      }
    }

    .productos {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
      gap: 20px;
      margin-top: 20px;
    }
  }
}

@media (300px < width < 750px) {
  h3 {
    margin: 20px;
    font-size: 20px;
  }

  .contenedor-productos-filtro {
    display: flex;
    flex-direction: column;
    margin: 10px;
    gap: 20px;

    /* Filtros seleccionados */
    .lista-productos-filtros {
      .filtros-activos {
        /* Etiquetas con los filtros seleccionados */
        .chips > .p-element {
          display: none;
        }

        /* Resultados encontrados y dropdwon para ordenar los resultados */
        .resultados {
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          margin-top: 20px;
          gap: 5px;
        }
      }

      .productos {
        display: flex;
        flex-direction: column;
        gap: 20px;
      }
    }
  }
}
